## CamelOfflineStore

CamelOfflineStore

## Functions

gboolean | camel_offline_store_get_online ()
gboolean | camel_offline_store_set_online_sync ()
void | camel_offline_store_set_online ()
gboolean | camel_offline_store_set_online_finish ()
gboolean | camel_offline_store_prepare_for_offline_sync ()
gboolean | camel_offline_store_requires_downsync ()
GPtrArray * | camel_offline_store_dup_downsync_folders ()

## Properties

gboolean | online | Read

## Object Hierarchy

        GObject
        ╰── CamelObject
            ╰── CamelService
                ╰── CamelStore
                    ╰── CamelOfflineStore
                        ├── CamelIMAPXStore
                        ╰── CamelNNTPStore

## Description

## Functions

### camel_offline_store_get_online ()

    gboolean
    camel_offline_store_get_online (CamelOfflineStore *store);

Returns `TRUE` if `store` is online.

#### Parameters

store | a CamelOfflineStore |

Since: 2.24

### camel_offline_store_set_online_sync ()

    gboolean
    camel_offline_store_set_online_sync (CamelOfflineStore *store,
                                         gboolean online,
                                         GCancellable *cancellable,
                                         GError **error);

Sets the online/offline state of `store` according to `online` .

#### Parameters

store | a CamelOfflineStore |
online | `TRUE` for online, `FALSE` for offline |
cancellable | optional GCancellable object, or `NULL` |
error | return location for a GError, or `NULL` |

#### Returns

Whether succeeded.

See: camel_offline_store_set_online

### camel_offline_store_set_online ()

    void
    camel_offline_store_set_online (CamelOfflineStore *store,
                                    gboolean online,
                                    gint io_priority,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

An asynchronous variant of `camel_offline_store_set_online_sync()`. Call `camel_offline_store_set_online_finish()` from within the `callback` .

#### Parameters

store | a CamelOfflineStore |
online | `TRUE` for online, `FALSE` for offline |
io_priority | the I/O priority for the request |
cancellable | optional GCancellable object, or `NULL` |
callback | a GAsyncReadyCallback to call when the request is satisfied |
user_data | data to pass to the callback function |

Since: 3.26

### camel_offline_store_set_online_finish ()

    gboolean
    camel_offline_store_set_online_finish (CamelOfflineStore *store,
                                           GAsyncResult *result,
                                           GError **error);

Finishes the operation started with `camel_offline_store_set_online()`.

#### Parameters

store | a CamelOfflineStore |
result | a GAsyncResult |
error | return location for a GError, or `NULL` |

#### Returns

Whether succeeded.

Since: 3.26

### camel_offline_store_prepare_for_offline_sync ()

    gboolean
    camel_offline_store_prepare_for_offline_sync
                                   (CamelOfflineStore *store,
                                    GCancellable *cancellable,
                                    GError **error);

Downloads messages for offline, when setup to do so and when the host is reachable.

#### Parameters

store | a CamelOfflineStore |
cancellable | optional GCancellable object, or `NULL` |
error | return location for a GError, or `NULL` |

#### Returns

whether succeeded

Since: 2.22

### camel_offline_store_requires_downsync ()

    gboolean
    camel_offline_store_requires_downsync (CamelOfflineStore *store);

Check whether the `store` requires synchronization for offline usage. This is not blocking, it only checks settings on the store and its currently opened folders.

Returns `TRUE` if the `store` requires synchronization for offline usage

#### Parameters

store | a CamelOfflineStore |

Since: 3.12

### camel_offline_store_dup_downsync_folders ()

    GPtrArray *
    camel_offline_store_dup_downsync_folders
                                   (CamelOfflineStore *store);

Returns a GPtrArray of CamelFolder objects which should be checked for offline synchronization. Free the returned pointer with the below calls, when no longer needed:

    1
    2

    g_ptr_array_foreach (array, (GFunc) g_object_unref, NULL);
    g_ptr_array_free (array, TRUE);

#### Parameters

store | a CamelOfflineStore |

#### Returns

an array with folders to be checked for offline synchronization.

[element-type CamelFolder][transfer full]

Since: 3.28

## Property Details

### The `“online”` property

      “online”                   gboolean

Whether the store is online.

Owner: CamelOfflineStore

Flags: Read

Default value: FALSE